package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

public enum PlatformTypeEnum {

	STANDALONE("standalone", "单机版"),
	CLOUD("cloud", "微服务版");

    private String value;
    private String desc;

    PlatformTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return desc;
    }

	public static PlatformTypeEnum getByValue(String value) {
        for (PlatformTypeEnum YesNoEnum : PlatformTypeEnum.values()) {
            if (YesNoEnum.getValue() == value) {
                return YesNoEnum;
            }
        }
        return null;
    }
	/**
	 * 获取Map集合
	 * @param eItem 不包含项
	 * @return
	 */
	public static Map<String,String> getEnumMap(String... eItem) {
		Map<String,String> resultMap= new LinkedHashMap<String,String>();
		for (PlatformTypeEnum item : PlatformTypeEnum.values()) {
			try{
				boolean hasE = false;
				for (String e : eItem){
					if(item.getValue()==e){
						hasE = true;
						break;
					}
				}
				if(!hasE){
					resultMap.put(item.getValue()+"", item.getDesc());
				}
			}catch(Exception ex){
			}
		}
		return resultMap;
	}

}
